# ##################################################
# This routine put here specially for Jon Billowes.
# The user tells the computer to continue - doesn't
# ask politely!
# ##################################################

proc midas-confirmation {msg args} {

    if {[llength $args] == 2} then {
       set m2 "[lindex $args 1]"
    } else {
#       set m2 "Yes - Please continue"
       set m2 "Yes - Continue"
    }
    if {[llength $args] >= 1} then {
       set m1 "[lindex $args 0]"
    } else {
       set m1 "No - Abort the operation"
    }
    set z [catch {midas_dialog [self frame-name].confirmDialog "Confirmation Request for [self frame-title]" \
           "$msg" "" 1 "$m1" "$m2"} m]

    if {$z != 0} then {
       puts stderr "midas-warning: [self frame-name].confirmDialog: $m"
       destroy [self frame-name].confirmDialog
       return 0
    }
    return $m
}

